## pupnp-dmo 1.14.25

=== ixml/test/CMakeLists.txt ===
file (GLOB XML_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/testdata/*.xml
)

	if (UPNP_BUILD_SHARED)
	add_executable (test-ixml-shared
		test_document.c
	)

	target_link_libraries (test-ixml-shared
		PRIVATE ixml_shared
	)

	add_test (NAME test-ixml
		COMMAND test-ixml-shared ${XML_FILES}
	)

	set_tests_properties (test-ixml PROPERTIES
		ENVIRONMENT "PATH=$<TARGET_FILE_DIR:ixml_shared>\;%PATH%"
	)
endif()

if (UPNP_BUILD_STATIC)
	add_executable (test-ixml-static
		test_document.c
	)

	target_link_libraries (test-ixml-static
		PRIVATE ixml_static
	)

	add_test (NAME test-ixml-static
		COMMAND test-ixml-static ${XML_FILES}
	)
endif()

## pupnp-dmo 1.14.5

=== debian/changelog ===
pupnp-dmo (1:1.14.5-dmo1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2021-28302

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Apr 2021 08:51:05 +0200

pupnp-dmo (1:1.14.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Mar 2021 08:04:10 +0200

pupnp-dmo (1:1.14.2-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches fixed upstream..

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Mar 2021 08:52:24 +0100

pupnp-dmo (1:1.14.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with cmake.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Feb 2021 08:24:19 +0100

pupnp-dmo (1:1.14.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Feb 2021 07:50:30 +0100

pupnp-dmo (1:1.14.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jul 2020 08:56:54 +0200

pupnp-dmo (1:1.12.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 00:33:17 +0200

pupnp-dmo (1:1.12.0-dmo3) unstable; urgency=medium

  * Upstream patch to add extern C for C++ users.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2020 17:31:33 +0100

pupnp-dmo (1:1.12.0-dmo2) unstable; urgency=medium

  * Remove 1.8 prefix in version name

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Feb 2020 15:52:38 +0100

pupnp-1.8-dmo (1:1.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jan 2020 08:59:46 +0100

pupnp-1.8-dmo (1:1.10.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Nov 2019 08:39:45 +0100

pupnp-1.8-dmo (1:1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 07:43:16 +0100

pupnp-1.8-dmo (1:1.8.4-dmo1) unstable; urgency=medium

  * Add upstream patch to fix upnp with VLC.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 00:30:59 +0200

pupnp-1.8 (1:1.8.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Mon, 05 Nov 2018 19:55:05 +0000

pupnp-1.8 (1:1.8.4-1) experimental; urgency=medium

  * New upstream release.
  * Doxyfile: Revert Debian specific changes to doxygen config. None of
    them have any significant benefits.

  * d/changelog: Remove extra whitespace lines.
  * d/compat: Use debhelper compat 11.
  * d/control:
    - d/control: Move Vcs-* repositories to salsa.d.o.
    - d/control: Bump standards to 4.2.1.
  * d/libupnp-doc.*:
    - Move docs to usr/share/doc/libupnp-dev per policy 3.9.7.
  * d/rules:
    - Revert "Implement build targets manually in debian/rules". Newer
      debhelper versions handle this properly.
    - d/rules: Create docs/doxygen directory.

 -- James Cowgill <jcowgill@debian.org>  Sat, 27 Oct 2018 15:42:13 +0100

pupnp-1.8 (1:1.8.3-3) experimental; urgency=medium

  * Rename libupnp1.8-doc to libupnp-doc.
  * Fix Build-Depends-Package in symbols files.
  * Manually bump SONAME of libupnp to libupnp.so.13. Rename libupnp10 to
    libupnp13. (Closes: #882377)

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Dec 2017 11:39:44 +0000

pupnp-1.8 (1:1.8.3-2) experimental; urgency=medium

  * debian/control:
    - Bump standards version to 4.1.2.
  * debian/patches:
    - Renumber.
    - Add upstream patch to remove inclusion of ThreadPool.h from upnpdebug.h.
      (Closes: #884252)

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Dec 2017 00:03:52 +0000

pupnp-1.8 (1:1.8.3-1) experimental; urgency=medium

  * New upstream release.

  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Rename libupnp1.8-dev to libupnp-dev. (Closes: #873656)
    - Move libupnp-1.8-dev conflicts to breaks.
    - Add versions to breaks and replaces.
    - Remove unnecessary Testsuite: autopkgtest header.
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.1.1.
  * debian/copyright:
    - Update.
  * debian/patches:
    - Refresh.
  * debian/rules:
    - Implement build targets manually in debian/rules.
    - Don't suppress doxygen log output.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 21:23:05 +0000

pupnp-1.8 (1:1.8.2-3) unstable; urgency=medium

  * debian/rules:
    - Build with --enable-reuseaddr option.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Sep 2017 18:56:47 +0100

pupnp-1.8 (1:1.8.2-2) unstable; urgency=medium

  * debian/control:
    - Add Conflicts/Replaces to libupnp1.8-dev on old -dev package. These
      packages should not be installed together.

 -- James Cowgill <jcowgill@debian.org>  Tue, 29 Aug 2017 15:15:21 +0100

pupnp-1.8 (1:1.8.2-1) unstable; urgency=medium

  * New upstream release.
    - Upstream has reverted the library rename so the 1.8 library is once
      again called "libupnp" (instead of "libupnp-1.8"). Therefore rename all
      the Debian packages to follow upstream.

  * debian/clean:
    - Remove build/inc directory on clean.
  * debian/control:
    - Rename libupnp-1.8-{dev,doc} to libupnp1.8-{dev,doc}.
    - Rename lib{ixml,upnp}-1.8-10 to lib{ixml,upnp}10.
    - Add Conflicts on libupnp1.8-dev to libupnp6-dev.
    - Remove obsolete replaces in the doc package.
    - Bump standards version to 4.0.1.
  * debian/copyright:
    - Use https Format URL.
  * debian/libupnp10.symbols:
    - Add new UpnpSetEventQueueLimits symbol in 1.8.2.
  * debian/patches:
    - Refresh
  * debian/rules:
    - Simplify dh_install override in d/rules.
  * debian/tests:
    - Edit autopkgtests to use -lupnp.

 -- James Cowgill <jcowgill@debian.org>  Fri, 18 Aug 2017 14:46:36 +0100



=== debian/control ===
Source: pupnp-dmo
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://pupnp.sourceforge.net/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends-Indep: doxygen, graphviz
Build-Depends: debhelper-compat (= 13), pkg-config, cmake, ninja-build

Package: libupnp17
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices (shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see http://www.upnp.org/ for specifications.
 .
 This package contains the runtime library for uPnP.

Package: libixml11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices (ixml shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see http://www.upnp.org/ for specifications.
 .
 This package contains the runtime libraries for the Linux DOM2 XML
 Parser (IXML).

Package: libupnp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libixml11 (= ${binary:Version}), libupnp17 (= ${binary:Version}), ${misc:Depends}
Suggests: libupnp-doc
Breaks: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
Conflicts: libupnp6-dev
Replaces: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
Description: Portable SDK for UPnP Devices (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see http://www.upnp.org/ for specifications.
 .
 The libupnp-dev package contains the header files, documentation and debug
 versions of libraries needed for development of programs using uPnP.

Package: libupnp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libupnp1.8-doc (<< 1:1.8.3-3~)
Replaces: libupnp1.8-doc (<< 1:1.8.3-3~)
Description: Documentation for the Portable SDK for UPnP Devices
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see http://www.upnp.org/ for specifications.
 .
 This package contains the HTML documentation for the libupnp library in
 /usr/share/doc/libupnp-dev/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dsamples=OFF \
	-Dreuseaddr=ON

#	exit 1

override_dh_auto_build-indep:
	mkdir -p docs/doxygen
	cd docs && doxygen Doxyfile

override_dh_clean:
	dh_clean docs/doxygen/latex/ docs/doxygen/html/

# Tests disabled because they access the network.
override_dh_auto_test:

## pupnp-dmo 1.14.17

=== debian/changelog ===
pupnp-dmo (1:1.14.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 May 2023 09:34:56 +0200

pupnp-dmo (1:1.14.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Apr 2023 07:58:31 +0200

pupnp-dmo (1:1.14.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Jan 2023 16:31:52 +0100

=== debian/control ===
Source: pupnp-dmo
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://pupnp.github.io/pupnp/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends-Indep: doxygen, graphviz
Build-Depends: debhelper-compat (= 13), pkgconf, cmake, ninja-build,
 libgmock-dev

Package: libupnp17
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices (shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see https://www.upnp.org/ for specifications.
 .
 This package contains the runtime library for uPnP.

Package: libixml11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices (ixml shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see https://www.upnp.org/ for specifications.
 .
 This package contains the runtime libraries for the Linux DOM2 XML
 Parser (IXML).

Package: libupnp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libixml11 (= ${binary:Version}), libupnp17 (= ${binary:Version}), ${misc:Depends}
Suggests: libupnp-doc
Description: Portable SDK for UPnP Devices (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see https://www.upnp.org/ for specifications.
 .
 The libupnp-dev package contains the header files, documentation and debug
 versions of libraries needed for development of programs using uPnP.

Package: libupnp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for the Portable SDK for UPnP Devices
 The Portable SDK for UPnP Devices (libupnp) provides developers with an API
 and open source code for building control points, devices, and bridges that
 are compliant with Version 1.0 of the Universal Plug and Play Device
 Architecture Specification - see https://www.upnp.org/ for specifications.
 .
 This package contains the HTML documentation for the libupnp library in
 /usr/share/doc/libupnp-dev/

## pupnp-dmo 1.14.24

=== debian/changelog ===
pupnp-dmo (1:1.14.24-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Jun 2025 07:04:03 +0200

pupnp-dmo (1:1.14.23-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 20:25:00 +0200

pupnp-dmo (1:1.14.22-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jun 2025 16:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: Portable SDK for UPnP Devices (shared library)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that
@@ -28,8 +28,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: Portable SDK for UPnP Devices (ixml shared library)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that
@@ -43,8 +43,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libixml11 (= ${binary:Version}), libupnp17 (= ${binary:Version}), ${misc:Depends}
-Suggests: libupnp-doc
+Depends: libixml11 (= ${binary:Version}), libupnp17 (= ${binary:Version}), ${misc:Depends},
+Suggests: libupnp-doc,
 Description: Portable SDK for UPnP Devices (development files)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that
@@ -58,7 +58,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Documentation for the Portable SDK for UPnP Devices
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that

## pupnp-dmo 1.14.25

=== debian/changelog ===
pupnp-dmo (2:1.14.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Sep 2025 09:08:04 +0200

pupnp-dmo (2:1.14.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Jun 2025 00:25:26 +0200

pupnp-dmo (2:1.14.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 20:10:41 +0200

pupnp-dmo (2:1.14.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jun 2025 00:07:03 +0200

pupnp-dmo (2:1.14.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 08:36:03 +0200

pupnp-dmo (2:1.14.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Oct 2024 08:40:30 +0200

pupnp-dmo (2:1.14.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Apr 2024 00:41:16 +0200

pupnp-dmo (2:1.14.18-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Mar 2024 11:14:50 +0100

pupnp-dmo (1:1.14.18-dmo2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 11:26:42 +0100

pupnp-dmo (1:1.14.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Aug 2023 09:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://pupnp.github.io/pupnp/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends-Indep: doxygen, graphviz
-Build-Depends: debhelper-compat (= 13), pkgconf, cmake, ninja-build,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), pkgconf, cmake, ninja-build,
  libgmock-dev
 
-Package: libupnp17
+Package: libupnp17t64
+Provides: ${t64:Provides},
+Replaces: libupnp17,
+Breaks: libupnp17 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
 Description: Portable SDK for UPnP Devices (shared library)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that
@@ -24,12 +25,14 @@
  .
  This package contains the runtime library for uPnP.
 
-Package: libixml11
+Package: libixml11t64
+Provides: ${t64:Provides},
+Replaces: libixml11,
+Breaks: libixml11 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
 Description: Portable SDK for UPnP Devices (ixml shared library)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API
  and open source code for building control points, devices, and bridges that
@@ -43,7 +46,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libixml11 (= ${binary:Version}), libupnp17 (= ${binary:Version}), ${misc:Depends},
+Depends: libixml11t64 (= ${binary:Version}), libupnp17t64 (= ${binary:Version}), ${misc:Depends},
 Suggests: libupnp-doc,
 Description: Portable SDK for UPnP Devices (development files)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-Dsamples=OFF \
-	-Dreuseaddr=ON
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+	-DUPNP_BUILD_STATIC=OFF
 
 #	exit 1

=== debian/watch ===
version=4

https://github.com/pupnp/pupnp/tags \
.*/release-@ANY_VERSION@@ARCHIVE_EXT@

## pupnp-dmo 1.14.26

=== debian/changelog ===
pupnp-dmo (2:1.14.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Feb 2026 08:52:12 +0100

## pupnp-dmo 1.14.29

=== debian/changelog ===
pupnp-dmo (2:1.14.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Feb 2026 08:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pupnp-dmo
 Section: net
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://pupnp.github.io/pupnp/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends-Indep: doxygen, graphviz
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), pkgconf, cmake, ninja-build,
- libgmock-dev
+ libgmock-dev,
 
 Package: libupnp17t64
 Provides: ${t64:Provides},

## pupnp-dmo 1.18.0

=== debian/changelog ===
pupnp-dmo (2:1.18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Feb 2026 15:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,7 @@
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), pkgconf, cmake, ninja-build,
  libgmock-dev,
 
-Package: libupnp17t64
-Provides: ${t64:Provides},
-Replaces: libupnp17,
-Breaks: libupnp17 (<< ${source:Version})
+Package: libupnp20
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libixml11t64 (= ${binary:Version}), libupnp17t64 (= ${binary:Version}), ${misc:Depends},
+Depends: libixml11t64 (= ${binary:Version}), libupnp20 (= ${binary:Version}), ${misc:Depends},
 Suggests: libupnp-doc,
 Description: Portable SDK for UPnP Devices (development files)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an API

## pupnp-dmo 1.18.1

=== ixml/test/CMakeLists.txt ===
file(GLOB XML_FILES ${CMAKE_CURRENT_SOURCE_DIR}/testdata/*.xml)

ixml_add_unit_test(test-ixml test_document.c ${XML_FILES})
ixml_add_unit_test(test-ixml-poc-gh-506 poc_gh_506.c "")
ixml_add_unit_test(test-ixml-poc-gh-517 poc_gh_517.cpp "")

=== debian/changelog ===
pupnp-dmo (2:1.18.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Mar 2026 01:19:28 +0100
